

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}
%define kf5khtml_devel %mklibname kf5khtml -d

Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Name:           khtml
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel
BuildRequires:  png-devel
BuildRequires:  jpeg-devel
BuildRequires:  giflib-devel
BuildRequires:  attica-devel 
BuildRequires:  karchive-devel 
BuildRequires:  kauth-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kcrash-devel 
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kguiaddons-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  kinit-devel 
BuildRequires:  kio-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kjs-devel 
BuildRequires:  knotifications-devel 
BuildRequires:  kparts-devel 
BuildRequires:  kservice-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kwallet-devel 
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kwindowsystem-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  solid-devel 
BuildRequires:  sonnet-devel 


%description
KHTML is a web rendering engine, based on the KParts technology and using KJS 
for JavaScript support.

%files -f khtml5.lang
%_sysconfdir/xdg/khtmlrc
%_kf5_datadir/kf5/khtml
%_kf5_plugindir/parts/*.so
%_kf5_services/*.desktop
%_kf5_datadir/kf5/kjava/pluginsinfo
#%_kf5_datadir/kxmlgui5/khtml
%_kf5_datadir/kf5/kjava
#--------------------------------------------------------------------
%_kf5_libdir/libKF5KHtml.so.%{kf5khtml_major}*
#--------------------------------------------------------------------
/etc/xdg/khtml.categories

%package -n %kf5khtml_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5khtml_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5khtml_devel
%_kf5_includedir/KHtml
%_kf5_includedir/khtml_version.h
%_kf5_libdir/cmake/KF5KHtml
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang khtml5


%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
